class Normalizer:
    def normalize(self, data):
        mean = self.calculate_mean(data)
        std_dev = self.calculate_std_dev(data, mean)
        normalized_data = [(x - mean) / std_dev for x in data]
        return normalized_data

    def calculate_mean(self, data):
        # Calculate the mean using basic Python functions
        sum_data = sum(data)
        return sum_data / len(data)

    def calculate_std_dev(self, data, mean):
        # Calculate the standard deviation using basic Python functions
        sum_squared_diff = sum((x - mean) ** 2 for x in data)
        return (sum_squared_diff / len(data)) ** 0.5

def main():
    # Sample data
    data = [1.0, 2.0, 3.0, 4.0, 5.0]

    # Create an instance of Normalizer
    normalizer = Normalizer()

    # Normalize the data
    normalized_data = normalizer.normalize(data)

    # Print the normalized data
    print("Normalized data:", normalized_data)

if __name__ == "__main__":
    main()
